Different versions of a script.module in the offical repository

  Thread Rating:
  • 0 Votes - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Post Reply
jbel Offline
Senior Member
Posts: 109
Joined: Apr 2009
Reputation: 5
Location: nyc
Post: #1
Is it possible to have two different versions of a script.module in the addon repository? For example

script.module.foo exists in repo at version 0.1
plugin.video.bar specifies script.module.foo version 0.1 in its addon.xml

I want to update script.module.foo, but there are potentially incompatible API changes that would break plugin.video.bar, until I have a chance to update it.

If I commit script.module.foo version 0.2 to the repo, will plugin.video.bar automatically use the new version of script.module.foo?

Any pointers would be appreciated.

Thanks!
(This post was last modified: 2012-02-28 17:56 by jbel.)
find quote
jmarshall Offline
Team-XBMC Developer
Posts: 26,181
Joined: Oct 2003
Reputation: 176
Post: #2
If you specify that version 0.2 is backward compatible to 0.1, then yes it will pull down the newer version when a user installs it. However, there is no runtime checking done to my knowledge, so if the user has version 0.2 then it may well just import the new one. Please test it out and see what happens Smile

Cheers,
Jonathan

Always read the XBMC online-manual, FAQ and search the forum before posting.
Do not e-mail XBMC-Team members directly asking for support. Read/follow the forum rules.
For troubleshooting and bug reporting please make sure you read this first.


[Image: badge.gif]
find quote